Rygel.SearchExpression – librygel-server Reference Manual

# SearchExpression

## Object Hierarchy:

## Description:

public abstract class SearchExpression<G,H,I>

Represents a SearchExpression tree.

All known sub-classes:

- RelationalExpression

- LogicalExpression

Namespace: Rygel
Package: librygel-server

## Content:

### Creation methods:

- public SearchExpression ()

### Methods:

- public abstract bool satisfied_by (MediaObject media_object)
- public abstract string to_string ()

### Fields:

- public G op
- public H operand1
- public I operand2